Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch.decider.forager
Class ForagerConfig

    java.lang.Object
      org.drools.planner.config.localsearch.decider.forager.ForagerConfig

    public class ForagerConfig

extends Object

Field Summary
`protected Integer` | `minimalAcceptedSelection`

Constructor Summary
`ForagerConfig()`

Method Summary
`Forager` | `buildForager(ScoreDefinition scoreDefinition)`
`DeciderScoreComparatorFactoryConfig` | `getDeciderScoreComparatorFactoryConfig()`
`Class<? extends Forager>` | `getForagerClass()`
`Integer` | `getMinimalAcceptedSelection()`
`PickEarlyType` | `getPickEarlyType()`
`void` | `inherit(ForagerConfig inheritedConfig)`
`void` | `setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)`
`void` | `setForagerClass(Class<? extends Forager> foragerClass)`
`void` | `setMinimalAcceptedSelection(Integer minimalAcceptedSelection)`
`void` | `setPickEarlyType(PickEarlyType pickEarlyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minimalAcceptedSelection

    protected Integer minimalAcceptedSelection

Constructor Detail

### ForagerConfig

    public ForagerConfig()

Method Detail

### getForagerClass

    public Class<? extends Forager> getForagerClass()

### setForagerClass

    public void setForagerClass(Class<? extends Forager> foragerClass)

### getDeciderScoreComparatorFactoryConfig

    public DeciderScoreComparatorFactoryConfig getDeciderScoreComparatorFactoryConfig()

### setDeciderScoreComparatorFactoryConfig

    public void setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)

### getPickEarlyType

    public PickEarlyType getPickEarlyType()

### setPickEarlyType

    public void setPickEarlyType(PickEarlyType pickEarlyType)

### getMinimalAcceptedSelection

    public Integer getMinimalAcceptedSelection()

### setMinimalAcceptedSelection

    public void setMinimalAcceptedSelection(Integer minimalAcceptedSelection)

### buildForager

    public Forager buildForager(ScoreDefinition scoreDefinition)

### inherit

    public void inherit(ForagerConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.